wayland::server::zwp_keyboard_shortcuts_inhibitor_v1_t(3)

NAME
wayland::server::zwp_keyboard_shortcuts_inhibitor_v1_t - context object for keyboard shortcuts inhibitor

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

Inherits wayland::server::resource_t.

  Public Member Functions

std::function< void()> & on_destroy ()
destroy the keyboard shortcuts inhibitor object
void active (bool post=true)
shortcuts are inhibited
void inactive (bool post=true)
shortcuts are restored
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

  Static Public Attributes

static constexpr std::uint32_t active_since_version = 1
Minimum protocol version required for the active function.
static constexpr std::uint32_t inactive_since_version = 1
Minimum protocol version required for the inactive function.

Detailed Description

context object for keyboard shortcuts inhibitor

A keyboard shortcuts inhibitor instructs the compositor to ignore its own keyboard shortcuts when the associated surface has keyboard focus. As a result, when the surface has keyboard focus on the given seat, it will receive all key events originating from the specified seat, even those which would normally be caught by the compositor for its own shortcuts.

The Wayland compositor is however under no obligation to disable all of its shortcuts, and may keep some special key combo for its own use, including but not limited to one allowing the user to forcibly restore normal keyboard events routing in the case of an unwilling client. The compositor may also use the same key combo to reactivate an existing shortcut inhibitor that was previously deactivated on user request.

When the compositor restores its own keyboard shortcuts, an 'inactive' event is emitted to notify the client that the keyboard shortcuts inhibitor is not effectively active for the surface and seat any more, and the client should not expect to receive all keyboard events.

When the keyboard shortcuts inhibitor is inactive, the client has no way to forcibly reactivate the keyboard shortcuts inhibitor.

The user can chose to re-enable a previously deactivated keyboard shortcuts inhibitor using any mechanism the compositor may offer, in which case the compositor will send an 'active' event to notify the client.

If the surface is destroyed, unmapped, or loses the seat's keyboard focus, the keyboard shortcuts inhibitor becomes irrelevant and the compositor will restore its own keyboard shortcuts but no 'inactive' event is emitted in this case.

Definition at line 1488 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  void zwp_keyboard_shortcuts_inhibitor_v1_t::active (bool post = true)

shortcuts are inhibited This event indicates that the shortcut inhibitor is active.

The compositor sends this event every time compositor shortcuts are inhibited on behalf of the surface. When active, the client may receive input events normally reserved by the compositor (see zwp_keyboard_shortcuts_inhibitor_v1).

This occurs typically when the initial request 'inhibit_shortcuts' first becomes active or when the user instructs the compositor to re-enable and existing shortcuts inhibitor using any mechanism offered by the compositor.

Definition at line 4885 of file wayland-server-protocol-unstable.cpp.

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  void zwp_keyboard_shortcuts_inhibitor_v1_t::inactive (bool post = true)

shortcuts are restored This event indicates that the shortcuts inhibitor is inactive, normal shortcuts processing is restored by the compositor.

Definition at line 4890 of file wayland-server-protocol-unstable.cpp.

  std::function< void()> & zwp_keyboard_shortcuts_inhibitor_v1_t::on_destroy ()

destroy the keyboard shortcuts inhibitor object Remove the keyboard shortcuts inhibitor from the associated wl_surface.

Definition at line 4879 of file wayland-server-protocol-unstable.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post 'not enough memory' error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

Member Data Documentation

  constexpr std::uint32_t wayland::server::zwp_keyboard_shortcuts_inhibitor_v1_t::active_since_version = 1 [static], [constexpr]

Minimum protocol version required for the active function.

Definition at line 1540 of file wayland-server-protocol-unstable.hpp.

  constexpr std::uint32_t wayland::server::zwp_keyboard_shortcuts_inhibitor_v1_t::inactive_since_version = 1 [static], [constexpr]

Minimum protocol version required for the inactive function.

Definition at line 1552 of file wayland-server-protocol-unstable.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.